### Function

# Gimp param_spec_uint8_array

#### Declaration [src]

    GParamSpec*
    gimp_param_spec_uint8_array (
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      GParamFlags flags
    )

#### Description [src]

Creates a new `GimpParamSpecUInt8Array` specifying a

# GIMP_TYPE_UINT8_ARRAY property.

See `g_param_spec_internal()` for details on property names.

Available since: | 3.0

#### Parameters

`name` | `const gchar*`
| Canonical name of the property specified.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`nick` | `const gchar*`
| Nick name of the property specified.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`blurb` | `const gchar*`
| Description of the property specified.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`flags` | `GParamFlags`
| Flags for the property specified.

#### Return value

Returns: | `GParamSpec`
| The newly created `GimpParamSpecUInt8Array`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.